proto_chat_entry Struct Reference

Represents an entry containing information that must be supplied by the user when joining a chat. More...

`#include <prpl.h>`

## Data Fields

const char * | label
| User-friendly name of the entry.
const char * | identifier
| Used by the PRPL to identify the option.
gboolean | required
| True if it's required.
gboolean | is_int
| True if the entry expects an integer.
int | min
| Minimum value in case of integer.
int | max
| Maximum value in case of integer.
gboolean | secret
| True if the entry is secret (password)

## Detailed Description

Represents an entry containing information that must be supplied by the user when joining a chat.

Definition at line 104 of file prpl.h.

The documentation for this struct was generated from the following file:

- prpl.h